Package ru.bitel.bgbilling.kernel.module.common.bean

# Class User

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.User

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class User extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_DISABLE`
  `static final int`
  `STATUS_ENABLE`
  `static final int`
  `USER_CONTRACT`
  Код пользователя Web-статитстики.
  Все действия производимые пользователем в Web-кабинете.
  К примеру генерация событий, смена тарифных планов и т.д.
  `static final int`
  `USER_SERVER`
  Код пользователя - сервера.
  Все действия производимые сервером отмечаются этим кодом.
  К примеру генерация событий, смена стусов и т.д.

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `User()`
  `User(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equalsPasswordPlainText(String passwordPlainText)`
  сравнивает plaintext-пароль с захешированным паролем в этой модели, т.е. делает правильный хеш и сравнивает с хешем юзера в ignoring case.
  `String`
  `getConfig()`
  `Preferences`
  `getConfigSetup()`
  Конфиг из настроек юзера, всегда не null.
  `int`
  `getContractCid()`
  `int`
  `getContractPid()`
  `String`
  `getContractTitle()`
  `Calendar`
  `getDate()`
  `String`
  `getDescription()`
  `String`
  `getEmail()`
  `String`
  `getLogin()`
  `int`
  `getMenuId()`
  `String`
  `getName()`
  `String`
  `getPassword()`
  хеш пароля
  `int`
  `getRoleId()`
  `int`
  `getStatus()`
  `String`
  `getStatusString()`
  `boolean`
  `isDisableSavePassword()`
  `boolean`
  `isNeedChangePassword()`
  `boolean`
  `isShowActionsPermitErrors()`
  `void`
  `setConfig(String config)`
  `void`
  `setContractCid(int contractCid)`
  `void`
  `setContractPid(int contractPid)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate(Calendar date)`
  `void`
  `setDescription(String description)`
  `void`
  `setDisableSavePassword(boolean disableSavePassword)`
  `void`
  `setEmail(String email)`
  `void`
  `setLogin(String login)`
  `void`
  `setMenuId(int menuId)`
  `User`
  `setName(String name)`
  `void`
  `setNeedChangePassword(boolean needChangePassword)`
  `void`
  `setPassword(String password)`
  хеш пароля
  `void`
  `setPasswordPlainText(String passwordPlainText)`
  plaintext пароль как есть (будет хеширован)
  `void`
  `setRoleId(int roleId)`
  `void`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### STATUS_ENABLE

    public static final int STATUS_ENABLE
    See Also:
      - Constant Field Values

  - ### STATUS_DISABLE

    public static final int STATUS_DISABLE
    See Also:
      - Constant Field Values

  - ### USER_SERVER

    public static final int USER_SERVER
    Код пользователя - сервера.
    Все действия производимые сервером отмечаются этим кодом.
    К примеру генерация событий, смена стусов и т.д.
    See Also:
      - Constant Field Values

  - ### USER_CONTRACT

    public static final int USER_CONTRACT
    Код пользователя Web-статитстики.
    Все действия производимые пользователем в Web-кабинете.
    К примеру генерация событий, смена тарифных планов и т.д.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### User

    public User()

  - ### User

    public User(int id, String title)

- ## Method Details

  - ### getRoleId

    public int getRoleId()

  - ### setRoleId

    public void setRoleId(int roleId)

  - ### getLogin

    public String getLogin()

  - ### setLogin

    public void setLogin(String login)

  - ### getName

    public String getName()

  - ### setName

    public User setName(String name)

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public void setEmail(String email)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getPassword

    public String getPassword()
    хеш пароля

  - ### setPassword

    public void setPassword(String password)
    хеш пароля

  - ### setPasswordPlainText

    public void setPasswordPlainText(String passwordPlainText)
    plaintext пароль как есть (будет хеширован)

  - ### equalsPasswordPlainText

    public boolean equalsPasswordPlainText(String passwordPlainText)
    сравнивает plaintext-пароль с захешированным паролем в этой модели, т.е. делает правильный хеш и сравнивает с хешем юзера в ignoring case.

  - ### isNeedChangePassword

    public boolean isNeedChangePassword()

  - ### setNeedChangePassword

    public void setNeedChangePassword(boolean needChangePassword)

  - ### isDisableSavePassword

    public boolean isDisableSavePassword()

  - ### setDisableSavePassword

    public void setDisableSavePassword(boolean disableSavePassword)

  - ### getDate

    public Calendar getDate()

  - ### setDate

    public void setDate(Calendar date)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getContractPid

    public int getContractPid()

  - ### setContractPid

    public void setContractPid(int contractPid)

  - ### getContractCid

    public int getContractCid()

  - ### setContractCid

    public void setContractCid(int contractCid)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getStatusString

    public String getStatusString()

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getConfigSetup

    public Preferences getConfigSetup()
    Конфиг из настроек юзера, всегда не null.

  - ### isShowActionsPermitErrors

    public boolean isShowActionsPermitErrors()

  - ### getMenuId

    public int getMenuId()

  - ### setMenuId

    public void setMenuId(int menuId)